Subject: Re: [patch] add iocb to network protocols

From: Benjamin LaHaise <[email-masked]>
Date: Thu, 10 Oct 2002 19:40:25 -0400

On Thu, Oct 10, 2002 at 04:22:40PM -0700, David S. Miller wrote:
> 
> +#include <net/scm.h>	/* for sock_iocb */
> 
> What is this?

The private area of an iocb for network operations contains a struct 
scm_cookie.  The alternative is to allocate it via kmalloc when needed, 
but there isn't currently a way of identifying which network protocols 
require the scm_cookie.  Since most network protocols do not use it, 
would you rather remove the scm_cookie out of the default path and 
allow the protocol to choose to create it?  That would remove the 
dependancy on scm_cookie from sock_iocb entirely.

		-ben
-- 
"Do you seek knowledge in time travel?"